!=======================================
! 2D cumulus model - kaminari
!  - subroutine mxrt_satu
! 
! Author    : TAKAHASHI Koko
! Date      : 2003/11/05
! Note      : $B?e>x5$$NK0OB:.9gHf(B
! 
!=======================================
subroutine mxrt_satu(i,k,im,km,prss_bs,pi_bs,ptemp,qvs)

  implicit none

  integer, intent(in) :: i, k
  integer, intent(in) :: im, km

  real(8), intent(in) :: prss_bs(0:im+1,0:km+1)
  real(8), intent(in) :: pi_bs(0:im+1,0:km+1)
  real(8), intent(in) :: ptemp(0:im+1,0:km+1)

  real(8), intent(inout) :: qvs(0:im+1,0:km+1)

  qvs(i,k) = 3.8D0/prss_bs(i,k)                             &
       &     *exp(                                          &
       &          17.27D0*(pi_bs(i,k)*ptemp(i,k) - 273.0D0) &
       &                 /(pi_bs(i,k)*ptemp(i,k) - 36.0D0)  &
       &         )

end subroutine mxrt_satu

